<!DOCTYPE html>
<html>
    <head>
        <?php

$js = <<<JS

<script>
$(document).ready(function() {
	// inject btn after #row-loginmenu
  if (typeof btns_after_row_loginmenu !== 'undefined') {
  	let inject_html = '<div id="row-injected-after-loginmenu" class="d-flex flex-column gap-3">';    
    for (let i = 0; i < btns_after_row_loginmenu.length; i++) {
      const btn = btns_after_row_loginmenu[i];
      inject_html += '<a href="'+btn[2]+'" class="btn btn-lg flex-fill '+btn[3]+'" id="'+btn[0]+'">'+btn[1]+'</a>';
    }
  	inject_html += '</div>';
  	$('#row-loginmenu').after(inject_html);
  }

  // inject btn after #member-status-panel
  if (typeof btns_after_member_status_panel !== 'undefined') {
    let inject_html = '<div id="row-injected-after-member-status-panel" class="d-flex flex-column gap-3">';
    for (let i = 0; i < btns_after_member_status_panel.length; i++) {
      const btn = btns_after_member_status_panel[i];
      inject_html += '<a href="'+btn[2]+'" class="btn btn-lg flex-fill '+btn[3]+'" id="'+btn[0]+'">'+btn[1]+'</a>';
    }
    inject_html += '</div>';
    $('#member-status-panel').after(inject_html);
  }

  // inject download apk
  if (typeof download_apk_link !== 'undefined') {
    if (navigator.userAgent.match(/Android/i)) {
      let line1 = 'download APK';
      let line2 = 'server mantap';      
      if (typeof download_apk_line1 !== 'undefined') line1 = download_apk_line1;
      if (typeof download_apk_line2 !== 'undefined') line2 = download_apk_line2;
      let html = '<div id="container-apk">';
      html += '<div id="container-apk-button">';
      html += '<a id="apk-button" href="'+download_apk_link+'">';
      // android logo
      html += '<img src="https://nextgen.sg-sin1.upcloudobjects.com/img/android.svg" height="24" /> ';
      html += 'klik di sini';
      html += '</a>';
      html += '</div>';
      html += '<div id="container-apk-a">'+line1+'</div>';
      html += '<div id="container-apk-b">'+line2+'</div>';
      html += '</div>';
      $('#navbar-top-wrapper').prepend(html);

      // margin top of content need to be 123
      $('#content').css('margin-top', '123px');
    }
  }
});

//BUAT TAMPILAN NAVBAR
document.addEventListener("DOMContentLoaded", function () {
    // Pilih elemen dengan id 'category-navbar'
    const navbar = document.getElementById("category-navbar");

    if (navbar) {
        // Buat elemen container untuk ikon dan label
        const container = document.createElement("div");
        container.style.display = "flex";
        container.style.flexDirection = "column";
        container.style.alignItems = "center";
        container.style.marginLeft = "0px"; // Atur jarak dari elemen lain

        // Buat elemen anchor untuk link
        const link = document.createElement("a");
        link.href = "?provider=1003&category="; // Ganti dengan URL tujuan
        //link.target = "_blank"; // Membuka link di tab baru (opsional)

        // Buat elemen gambar baru
        const icon = document.createElement("img");
        icon.src = "https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEidUkpckBxo0TS6GH-uyDpTlThmW6heWYMxRTCM3qx4kMbwQzjGZShQyY99k0IksXZJ1u9SWYIAHs-arRajT9KnKZYkLE4u-QSgA9Y29ZTjH2FOuGNVrjyWu3MKGkaGys4A8RTeKzQy8eejvOfQ5a_24szmxz3M3l_paqQQU-XGbDrt2kC-wIW-hFi-zXAk/s478/NAVBAR_WILD.gif"; // Ganti dengan URL gambar ikon Anda
        icon.alt = "Wild Navbar Icon";
        icon.style.width = "35px";
        icon.style.height = "35px";

        // Tambahkan ikon ke dalam elemen anchor
        link.appendChild(icon);

        // Tambahkan elemen anchor (yang berisi ikon) ke dalam container
        container.appendChild(link);

        // Buat elemen label untuk nama ikon
        const label = document.createElement("span");
        label.textContent = "MJ Super Wild"; // Ganti dengan nama label yang sesuai
        label.style.marginTop = "0px"; // Tambahkan jarak antara ikon dan label
        label.style.fontSize = "11px";
        label.style.textAlign = "center";

        // Tambahkan label ke dalam container
        container.appendChild(label);

        // Sisipkan elemen container di urutan keempat dalam elemen navbar
        if (navbar.children.length >= 3) {
            navbar.insertBefore(container, navbar.children[3]);
        } else {
            navbar.appendChild(container);
        }
    } else {
        console.error("Elemen dengan id 'category-navbar' tidak ditemukan.");
    }
});


//MJ GIMMICK
        window.onload = function() {
            // Menimpa gambar dengan alt "Mahjong Ways 2"
            var gambar1 = document.querySelector('img[alt="Mahjong Ways 2"]');
            if (gambar1) {
                gambar1.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjrkFwpR08CrtvfmdElGDeLdcA8ZPF0uVv8FccZzyiyrcC8oO6ra3OEriGzq-lnu3ezY4vJm-xx3E6CHkMuxy8aMtjmWOq5mQkxwb5ctZY9dYtB9zOFixTln8-XLZHxFIWh5JHbO2UGV-UtpqvJGTUVVM2tfx8Z7RFYBOiQGBlQJrg4YuCxp0v-YOqEFGJq/s165/NEXUS_MJ2_WILD.gif'; // Ganti dengan URL gambar baru
            }

            // Menimpa gambar dengan alt "Mahjong Ways"
            var gambar2 = document.querySelector('img[alt="Mahjong Ways"]');
            if (gambar2) {
                gambar2.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiknMckRJTuYFzm_pob1q_zDnFSkLTGV_B-hWYbSg2bbWsiSjh6c8HZfffQB4U9znghlXEWOICMkQv02L-krblihodZzw5kPDhg8SaJzBo0hb-WtLzaz8FQE1yPlJz7lkq-7_dcTj9y0hLOVdtLHhoE0MYia52H3IECuQSl7iM0brKaMw0q3hcLOomwSboX/s165/NEXUS_MJ1_WILD.gif'; // Ganti dengan URL gambar baru
            }
        }
        
    
    
//SCRIPT BUTTON WIDGET
document.addEventListener("DOMContentLoaded", function () {
    // Buat elemen <script>
    const script = document.createElement("script");
    
    // Tentukan atribut src untuk file eksternal
    script.src = "https://project-x.online/nxt/button-menu/assets/database/menu/js/jquery-3.7.1.min.js";
    
    // Pastikan script dimuat setelah DOM
    script.defer = true;

    // Tambahkan elemen <script> ke dalam <head> atau <body>
    document.head.appendChild(script);

    script.onload = function () {
        console.log("Script berhasil dimuat: " + script.src);
    };

    script.onerror = function () {
        console.error("Gagal memuat script: " + script.src);
    };
});

document.addEventListener("DOMContentLoaded", function () {
    // Pastikan elemen dengan id 'row-togel' ada
    const rowTogel = document.getElementById("row-togel");

    if (rowTogel) {
        // Buat elemen <iframe>
        const iframe = document.createElement("iframe");
        iframe.src = "https://project-x.online/nxt/button-menu/assets/database/menu/NY.html";
        iframe.height = "435px";
        iframe.width = "100%";
        iframe.frameBorder = "0";
        iframe.style.display = "block";
        iframe.style.border = "none"; // Menghilangkan border untuk tampilan bersih
        iframe.style.margin = "10px 0"; // Menambahkan margin untuk memberikan ruang

        // Responsivitas tambahan untuk layar kecil
        iframe.style.maxWidth = "100%"; // Pastikan tidak melewati lebar layar
        iframe.style.height = "calc(100vw * 0.9)"; // Penyesuaian dinamis berdasarkan lebar layar

        // Sisipkan iframe di atas elemen dengan id 'row-togel'
        rowTogel.parentNode.insertBefore(iframe, rowTogel);
        console.log("Iframe berhasil disisipkan di atas id 'row-togel'.");
    } else {
        console.error("Elemen dengan id 'row-togel' tidak ditemukan.");
    }
});

document.addEventListener("DOMContentLoaded", function () {
    // Sembunyikan elemen dengan id 'row-loginmenu'
    const loginMenu = document.getElementById("row-loginmenu");
    if (loginMenu) {
        loginMenu.style.display = "none";
        console.log("Elemen dengan id 'row-loginmenu' berhasil disembunyikan.");
    } else {
        console.error("Elemen dengan id 'row-loginmenu' tidak ditemukan.");
    }

    // Sembunyikan elemen dengan id 'carousel-exclusive-promotion'
    const exclusivePromotion = document.getElementById("carousel-exclusive-promotion");
    if (exclusivePromotion) {
        exclusivePromotion.style.display = "none";
        console.log("Elemen dengan id 'carousel-exclusive-promotion' berhasil disembunyikan.");
    } else {
        console.error("Elemen dengan id 'carousel-exclusive-promotion' tidak ditemukan.");
    }

    // Pastikan elemen dengan id 'main-slider' ada
    const mainSlider = document.getElementById("main-slider");
    if (mainSlider) {
        // Buat elemen <div> untuk menyisipkan konten
        const container = document.createElement("div");
        container.className = "container"; // Tambahkan kelas "container" ke elemen baru

        // HTML yang akan disisipkan
        container.innerHTML = `
            <div id="row-loginmenu">
                <div class="my-3 d-xl-none">
                    <div id="row-quicklogin" class="card mb-3">
                        <div class="card-body">
                            <form method="post" accept-charset="utf-8" action="/login">
                                <div class="form-group mb-3 text">
                                    <label class="form-label" for="username">Username</label>
                                    <input type="text" name="userName" id="username" class="form-control"/>
                                </div>
                                <div class="form-group mb-3 password">
                                    <label class="form-label" for="password">Password</label>
                                    <input type="password" name="password" id="password" class="form-control"/>
                                </div>
                                <div class="d-flex gap-1 my-3">
                                    <button type="submit" class="btn btn-primary flex-fill">LOGIN</button>
                                    <a href="/register" class="btn btn-secondary flex-fill">DAFTAR</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="d-none d-xl-block">
                    <div class="d-flex gap-1 my-3">
                        <a href="/login" class="btn btn-lg btn-primary flex-fill" id="btn-login">LOGIN</a>
                        <a href="/register" class="btn btn-lg btn-secondary flex-fill" id="btn-register">DAFTAR</a>
                        <a href="/promotion" class="btn btn-lg btn-danger flex-fill d-none d-lg-block" id="btn-promotion">PROMOSI</a>
                    </div>
                </div>
            </div>
        `;

        // Sisipkan elemen di bawah elemen dengan id 'main-slider'
        mainSlider.parentNode.insertBefore(container, mainSlider.nextSibling);
        console.log("Konten berhasil disisipkan di bawah id 'main-slider'.");
    } else {
        console.error("Elemen dengan id 'main-slider' tidak ditemukan.");
    }
});

      
</script>

JS;
  echo $js;
?>
    </head>
    
    <body>



    </body>
</html>




