$(document).ready(function() {
	// inject btn after #row-loginmenu
  if (typeof btns_after_row_loginmenu !== 'undefined') {
  	let inject_html = '<div id="row-injected-after-loginmenu" class="d-flex flex-column gap-3">';    
    for (let i = 0; i < btns_after_row_loginmenu.length; i++) {
      const btn = btns_after_row_loginmenu[i];
      inject_html += '<a href="'+btn[2]+'" class="btn btn-lg flex-fill '+btn[3]+'" id="'+btn[0]+'">'+btn[1]+'</a>';
    }
  	inject_html += '</div>';
  	$('#row-loginmenu').after(inject_html);
  }

  // inject btn after #member-status-panel
  if (typeof btns_after_member_status_panel !== 'undefined') {
    let inject_html = '<div id="row-injected-after-member-status-panel" class="d-flex flex-column gap-3">';
    for (let i = 0; i < btns_after_member_status_panel.length; i++) {
      const btn = btns_after_member_status_panel[i];
      inject_html += '<a href="'+btn[2]+'" class="btn btn-lg flex-fill '+btn[3]+'" id="'+btn[0]+'">'+btn[1]+'</a>';
    }
    inject_html += '</div>';
    $('#member-status-panel').after(inject_html);
  }


  // inject download apk
  if (typeof download_apk_link !== 'undefined') {
    if (navigator.userAgent.match(/Android/i)) {
      let line1 = 'download APK';
      let line2 = 'server mantap';      
      if (typeof download_apk_line1 !== 'undefined') line1 = download_apk_line1;
      if (typeof download_apk_line2 !== 'undefined') line2 = download_apk_line2;
      let html = '<div id="container-apk">';
      html += '<div id="container-apk-button">';
      html += '<a id="apk-button" href="'+download_apk_link+'">';
      // android logo
      html += '<img src="https://project-x.online/nxt/img/android.png" height="20" /> ';
      html += 'klik di sini';
      html += '</a>';
      html += '</div>';
      html += '<div id="container-apk-a">'+line1+'</div>';
      html += '<div id="container-apk-b">'+line2+'</div>';
      html += '</div>';
      $('#navbar-top-wrapper').prepend(html);

      // margin top of content need to be 123
      $('#content').css('margin-top', '123px');
    }
  }
});

//BUAT TAMPILAN NAVBAR
document.addEventListener("DOMContentLoaded", function () {
    // Pilih elemen dengan id 'category-navbar'
    const navbar = document.getElementById("category-navbar");

    if (navbar) {
        // Buat elemen container untuk ikon dan label
        const container = document.createElement("div");
        container.style.display = "flex";
        container.style.flexDirection = "column";
        container.style.alignItems = "center";
        container.style.marginLeft = "0px"; // Atur jarak dari elemen lain

        // Buat elemen anchor untuk link
        const link = document.createElement("a");
        link.href = "/game?provider=1003&category=101"; // Ganti dengan URL tujuan
        //link.target = "_blank"; // Membuka link di tab baru (opsional)

        // Buat elemen gambar baru
        const icon = document.createElement("img");
        icon.src = "https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEidUkpckBxo0TS6GH-uyDpTlThmW6heWYMxRTCM3qx4kMbwQzjGZShQyY99k0IksXZJ1u9SWYIAHs-arRajT9KnKZYkLE4u-QSgA9Y29ZTjH2FOuGNVrjyWu3MKGkaGys4A8RTeKzQy8eejvOfQ5a_24szmxz3M3l_paqQQU-XGbDrt2kC-wIW-hFi-zXAk/s478/NAVBAR_WILD.gif"; // Ganti dengan URL gambar ikon Anda
        icon.alt = "Wild Navbar Icon";
        icon.style.width = "35px";
        icon.style.height = "35px";

        // Tambahkan ikon ke dalam elemen anchor
        link.appendChild(icon);

        // Tambahkan elemen anchor (yang berisi ikon) ke dalam container
        container.appendChild(link);

        // Buat elemen label untuk nama ikon
        const label = document.createElement("span");
        label.textContent = "MJ SUPER WILD"; // Ganti dengan nama label yang sesuai
        label.style.marginTop = "0px"; // Tambahkan jarak antara ikon dan label
        label.style.fontSize = "11px";
        label.style.textAlign = "center";

        // Tambahkan label ke dalam container
        container.appendChild(label);

        // Sisipkan elemen container di urutan keempat dalam elemen navbar
        if (navbar.children.length >= 3) {
            navbar.insertBefore(container, navbar.children[3]);
        } else {
            navbar.appendChild(container);
        }
    } else {
        console.error("Elemen dengan id 'category-navbar' tidak ditemukan.");
    }
});


  // Menambahkan link ke bawah elemen dengan id 'row-jackpot'
  const rowJackpot = document.getElementById('row-jackpot');
  if (rowJackpot) {
    const linkElement = document.createElement('a');
    linkElement.href = 'https://asikinaja11.fun';
    linkElement.id = 'loginLink';
    linkElement.target = '_blank';
    linkElement.style.color = '#ff5151';
    linkElement.style.justifyContent = 'center';
    linkElement.innerHTML = '<strong><img src="https://i.ibb.co/rck9JBy/logo-icon-toms.png" alt="Logo"></img></strong>';
    
    // Tambahkan link setelah elemen dengan id 'row-jackpot'
    rowJackpot.insertAdjacentElement('afterend', linkElement);
  }
  

//MJ GIMMICK
        window.onload = function() {
            // Menimpa gambar dengan alt "Mahjong Ways 2"
            var gambar1 = document.querySelector('img[alt="Mahjong Ways 2"]');
            if (gambar1) {
                gambar1.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjrkFwpR08CrtvfmdElGDeLdcA8ZPF0uVv8FccZzyiyrcC8oO6ra3OEriGzq-lnu3ezY4vJm-xx3E6CHkMuxy8aMtjmWOq5mQkxwb5ctZY9dYtB9zOFixTln8-XLZHxFIWh5JHbO2UGV-UtpqvJGTUVVM2tfx8Z7RFYBOiQGBlQJrg4YuCxp0v-YOqEFGJq/s165/NEXUS_MJ2_WILD.gif'; // Ganti dengan URL gambar baru
            }

            // Menimpa gambar dengan alt "Mahjong Ways"
            var gambar2 = document.querySelector('img[alt="Mahjong Ways"]');
            if (gambar2) {
                gambar2.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiknMckRJTuYFzm_pob1q_zDnFSkLTGV_B-hWYbSg2bbWsiSjh6c8HZfffQB4U9znghlXEWOICMkQv02L-krblihodZzw5kPDhg8SaJzBo0hb-WtLzaz8FQE1yPlJz7lkq-7_dcTj9y0hLOVdtLHhoE0MYia52H3IECuQSl7iM0brKaMw0q3hcLOomwSboX/s165/NEXUS_MJ1_WILD.gif'; // Ganti dengan URL gambar baru
            }
            
            // Menimpa gambar dengan alt "Gates of Olympus 1000"
            var gambar3 = document.querySelector('img[alt="Gates of Olympus 1000"]');
            if (gambar3) {
                gambar3.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgGKG2YcWj5qnbVfZkSpE5Z6dypy_M92HawaNZsf0dGdIk_5ZGIHkDZ-CJjMACFCNVdgVBbsiRHvTwwWyr3DrEFl4fQYy6XTo8Q-Cm4DvJF8khPclxkWaKP1Z3dDJRh0mwTXRiwwerSCqmQlNRjwXir5pF6_U7tAOTGLyde0bkVT7h6-uiL_rfBTm_1CfY_/'; // Ganti dengan URL gambar baru
            }
            
            // Menimpa gambar dengan alt "Starlight Princess 1000"
            var gambar4 = document.querySelector('img[alt="Starlight Princess 1000"]');
            if (gambar4) {
                gambar4.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi61s2jswdHrtLrOv6L1V8S9At6hjQYUGZby6jjoRwRFWWUTsayhSoKLlVbKHBDZj5vmJvb3FTGIxqoXxXxOC15Ty21sKhDf9YBhnCr92xplLfbeaql-EpPOCO5HsVn3UbDOqFshZNlzzlcfy2eVMESVcNhrAXc6VZ-6lOhrK8yqVAI2sCOxloxwKdx8Vct/'; // Ganti dengan URL gambar baru
            }
            
            // Menimpa gambar dengan alt "Sweet Bonanza 1000"
            var gambar5 = document.querySelector('img[alt="Sweet Bonanza 1000"]');
            if (gambar5) {
                gambar5.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUe6_MbcvxifnCoz60_7a8RDO-HvMHKc4Kjvzt-4FE73Tmp5muybXPeE1suD2BE1-ZR-SbD_eKc_yliIPNa9BG2skX3U1MKU9KfJwCNyRp48zAjvNu5eZZfnZ6xqBTE20DrHFDV3pwZGpDQ2AFPMtzd6WTPL9PQKO29WdGYsrihPWN9DVAzaeN8hWD4Xy2/'; // Ganti dengan URL gambar baru
            }
            
            // Menimpa gambar dengan alt "Gates of Gatot Kaca 1000"
            var gambar6 = document.querySelector('img[alt="Gates of Gatot Kaca 1000"]');
            if (gambar6) {
                gambar6.src = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5zKGlSfNBemunclWHAZaiClQUrSGNncV6Bx6wpxcEYBgl2aFh47h3ENChH5nnKMbkUpwbYx8pl6O8iANJVCkIUrjJ0gszdL6E1s6v_nCGadT7PJqEuEbzUUz2oBicomli40eHorR01OD6-Y-7LDHQkikQVXMxfG5RutCqEC-teeUSyuITkb7caorbFJWV/'; // Ganti dengan URL gambar baru
            }
            
            // Menimpa gambar dengan alt "Mahjong Wins 3 - Black Scatter"
            var gambar7 = document.querySelector('img[alt="Mahjong Wins 3 - Black Scatter"]');
            if (gambar7) {
                gambar7.src = 'https://i.ibb.co/dQLgtNg/mahjong-wins-3-1.gif'; // Ganti dengan URL gambar baru
            }
        }
        
    
    
//SCRIPT BUTTON WIDGET
document.addEventListener("DOMContentLoaded", function () {
    // Buat elemen <script>
    const script = document.createElement("script");
    
    // Tentukan atribut src untuk file eksternal
    script.src = "https://project-x.online/nxt/button-menu/assets/database/menu/js/jquery-3.7.1.min.js";
    
    // Pastikan script dimuat setelah DOM
    script.defer = true;

    // Tambahkan elemen <script> ke dalam <head> atau <body>
    document.head.appendChild(script);

    script.onload = function () {
        console.log("Script berhasil dimuat: " + script.src);
    };

    script.onerror = function () {
        console.error("Gagal memuat script: " + script.src);
    };
});

document.addEventListener("DOMContentLoaded", function () {
    // Pastikan elemen dengan id 'row-togel' ada
    const rowTogel = document.getElementById("row-togel");

    if (rowTogel) {
        // Buat elemen <iframe>
        const iframe = document.createElement("iframe");
        iframe.src = "https://project-x.online/nxt/button-menu/assets/database/menu/NY.html";
        iframe.height = "435px";
        iframe.width = "100%";
        iframe.frameBorder = "0";
        iframe.style.display = "block";
        iframe.style.border = "none"; // Menghilangkan border untuk tampilan bersih
        iframe.style.margin = "10px 0"; // Menambahkan margin untuk memberikan ruang

        // Responsivitas tambahan untuk layar kecil
        iframe.style.maxWidth = "100%"; // Pastikan tidak melewati lebar layar
        iframe.style.height = "calc(100vw * 0.9)"; // Penyesuaian dinamis berdasarkan lebar layar

        // Sisipkan iframe di atas elemen dengan id 'row-togel'
        rowTogel.parentNode.insertBefore(iframe, rowTogel);
        console.log("Iframe berhasil disisipkan di atas id 'row-togel'.");
    } else {
        console.error("Elemen dengan id 'row-togel' tidak ditemukan.");
    }
});


